#!/bin/bash

ZIP="$1"

ORIG_PL=/etc/xdg/webkiosk/playlist
TDIR=$(mktemp -d --tmpdir=$HOME)
DATADIR=$TDIR/import
mkdir -p $DATADIR

(cat $ORIG_PL && echo) | while read line; do
    data=${line% *}
    time=${line##* }
    ndata="${data##file://}"
    [ -z "$data" -o -z "$time" ] && continue
    if [ -f "$ndata" ]; then
        cp "$ndata" $DATADIR
    fi
    echo "$line" >> $TDIR/playlist
done

cd $TDIR && zip -r $ZIP * >/dev/null 2>&1

rm -rf $TDIR

